package MpmasSimulationRunParameterScenList;

use strict;
use warnings;
use Exporter;
use Storable qw(dclone);
use Data::Dumper;
use MpmasInputfile;
use MpmasInputBlock;
our @ISA = qw(MpmasInputfile);

sub filename {
	return "SimRunParameterScenList";
}
sub required {
	my ($self) = @_;
	return ($self->config_entry("MULTIPERIOD")); 
}


sub prepare_special {
	my ($self, $paramscenlist) = @_;	
	
	my $block = MpmasInputBlock->new(3,10);
	$block->add_row("SIMULATION PARAMETER VARIATION SCENARIOS");
	$block->add_row("1","","","");
	
	$block->add_empty_rows(1);
	$block->add_comment_row("","","","Scenario name");
	for my $k (@$paramscenlist)
	{
		$block->add_row("", "", "",$k);
	}
	$self->add_block($block);
}
1;
